package com.realnet.angulardatatype.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.angulardatatype.Entity.Testadv01;
import com.realnet.angulardatatype.Services.Testadv01Service ;
















@RequestMapping(value = "/Testadv01")
 @CrossOrigin("*") 
@RestController
public class Testadv01Controller {
	@Autowired
	private Testadv01Service Service;

@Value("${projectPath}")
	private String projectPath;
 
















	@PostMapping("/Testadv01")
		  public Testadv01 Savedata(@RequestBody Testadv01 data) {
		Testadv01 save = Service.Savedata(data)	;















		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Testadv01/{id}")
	public  Testadv01 update(@RequestBody Testadv01 data,@PathVariable Integer id ) {
		Testadv01 update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Testadv01/getall/page")
	public Page<Testadv01> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Testadv01> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Testadv01")
	public List<Testadv01> getdetails() {
		 List<Testadv01> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Testadv01")
	public List<Testadv01> getallwioutsec() {
		 List<Testadv01> get = Service.getdetails();		
		return get;
}
@GetMapping("/Testadv01/{id}")
	public  Testadv01  getdetailsbyId(@PathVariable Integer id ) {
		Testadv01  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Testadv01/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}

















}